Debian Bug report logs - #667137
clam-networkeditor: ftbfs with GCC-4.7

version graph

Package: clam-networkeditor; Maintainer for clam-networkeditor is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for clam-networkeditor is src:clam-networkeditor.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:11:41 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version clam-networkeditor/1.4.0-3

Fixed in version clam-networkeditor/1.4.0-3.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#667137; Package clam-networkeditor. (Tue, 03 Apr 2012 23:11:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 23:11:43 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: clam-networkeditor: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:08:21 +0000
Package: clam-networkeditor
Version: 1.4.0-3
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

OutPort.hxx:287:45: error: 'SameType' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/clam-networkeditor_1.4.0-3_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
Version:  1.4.0
Package version:  1.4.0
scons: done reading SConscript files.
scons: Building targets ...
/usr/bin/uic-qt4 -o src/generated/ui_About.hxx src/About.ui
src/About.ui: Warning: The name 'tab' (QWidget) is already in use, defaulting to 'tab1'.
src/About.ui: Warning: The name 'TabPage' (QWidget) is already in use, defaulting to 'TabPage1'.
/usr/bin/uic-qt4 -o src/generated/ui_MainWindow.hxx src/MainWindow.ui
g++ -o src/generated/main.o -c -g -O3 -Wall -pipe -fomit-frame-pointer -DDATA_EXAMPLES_PATH="\"/«PKGBUILDDIR»/debian/tmp/usr/share/networkeditor/example-data\"" -DQT_PLUGIN -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQDESIGNER_EXPORT_WIDGETS -D_REENTRANT -DCLAM_FLOAT -DUSE_XERCES=1 -DCLAM_USE_XML -DUSE_LADSPA=1 -DUSE_SNDFILE=1 -DUSE_OGGVORBIS=1 -DWITH_VORBIS=1 -DUSE_MAD=1 -DWITH_MAD=1 -DUSE_ID3=1 -DUSE_ALSA=1 -DUSE_JACK=1 -DUSE_PORTAUDIO=1 -DUSE_FFTW3=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQT_SVG_LIB -DQT_SHARED -I/usr/local/include -I/usr/include/alsa -I/usr/include/qt4 -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtNetwork -Isrc -Isrc/jack -Isrc/generated -Isrc/processing -Isrc/prototyper -Isrc/clamWidgetsPlugins -Isrc/clamWidgetsPlugins/generated -Isrc/monitors -Isrc/widgets -I/usr/include -I/usr/include/CLAM -Isrc/clamWidgetsPlugin -Isrc/clamWidgetsPlugin/generated src/main.cxx
g++ -o src/processing/generated/ControlGate.o -c -g -O3 -Wall -pipe -fomit-frame-pointer -DDATA_EXAMPLES_PATH="\"/«PKGBUILDDIR»/debian/tmp/usr/share/networkeditor/example-data\"" -DQT_PLUGIN -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQDESIGNER_EXPORT_WIDGETS -D_REENTRANT -DCLAM_FLOAT -DUSE_XERCES=1 -DCLAM_USE_XML -DUSE_LADSPA=1 -DUSE_SNDFILE=1 -DUSE_OGGVORBIS=1 -DWITH_VORBIS=1 -DUSE_MAD=1 -DWITH_MAD=1 -DUSE_ID3=1 -DUSE_ALSA=1 -DUSE_JACK=1 -DUSE_PORTAUDIO=1 -DUSE_FFTW3=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQT_SVG_LIB -DQT_SHARED -I/usr/local/include -I/usr/include/alsa -I/usr/include/qt4 -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtNetwork -Isrc -Isrc/jack -Isrc/generated -Isrc/processing -Isrc/prototyper -Isrc/clamWidgetsPlugins -Isrc/clamWidgetsPlugins/generated -Isrc/monitors -Isrc/widgets -I/usr/include -I/usr/include/CLAM -Isrc/clamWidgetsPlugin -Isrc/clamWidgetsPlugin/generated src/processing/ControlGate.cxx
g++ -o src/generated/ProcessingBoxEmbededWidgets.o -c -g -O3 -Wall -pipe -fomit-frame-pointer -DDATA_EXAMPLES_PATH="\"/«PKGBUILDDIR»/debian/tmp/usr/share/networkeditor/example-data\"" -DQT_PLUGIN -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQDESIGNER_EXPORT_WIDGETS -D_REENTRANT -DCLAM_FLOAT -DUSE_XERCES=1 -DCLAM_USE_XML -DUSE_LADSPA=1 -DUSE_SNDFILE=1 -DUSE_OGGVORBIS=1 -DWITH_VORBIS=1 -DUSE_MAD=1 -DWITH_MAD=1 -DUSE_ID3=1 -DUSE_ALSA=1 -DUSE_JACK=1 -DUSE_PORTAUDIO=1 -DUSE_FFTW3=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQT_SVG_LIB -DQT_SHARED -I/usr/local/include -I/usr/include/alsa -I/usr/include/qt4 -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtNetwork -Isrc -Isrc/jack -Isrc/generated -Isrc/processing -Isrc/prototyper -Isrc/clamWidgetsPlugins -Isrc/clamWidgetsPlugins/generated -Isrc/monitors -Isrc/widgets -I/usr/include -I/usr/include/CLAM -Isrc/clamWidgetsPlugin -Isrc/clamWidgetsPlugin/generated src/ProcessingBoxEmbededWidgets.cxx
g++ -o src/processing/generated/RandomPitches.o -c -g -O3 -Wall -pipe -fomit-frame-pointer -DDATA_EXAMPLES_PATH="\"/«PKGBUILDDIR»/debian/tmp/usr/share/networkeditor/example-data\"" -DQT_PLUGIN -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQDESIGNER_EXPORT_WIDGETS -D_REENTRANT -DCLAM_FLOAT -DUSE_XERCES=1 -DCLAM_USE_XML -DUSE_LADSPA=1 -DUSE_SNDFILE=1 -DUSE_OGGVORBIS=1 -DWITH_VORBIS=1 -DUSE_MAD=1 -DWITH_MAD=1 -DUSE_ID3=1 -DUSE_ALSA=1 -DUSE_JACK=1 -DUSE_PORTAUDIO=1 -DUSE_FFTW3=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQT_SVG_LIB -DQT_SHARED -I/usr/local/include -I/usr/include/alsa -I/usr/include/qt4 -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtNetwork -Isrc -Isrc/jack -Isrc/generated -Isrc/processing -Isrc/prototyper -Isrc/clamWidgetsPlugins -Isrc/clamWidgetsPlugins/generated -Isrc/monitors -Isrc/widgets -I/usr/include -I/usr/include/CLAM -Isrc/clamWidgetsPlugin -Isrc/clamWidgetsPlugin/generated src/processing/RandomPitches.cxx
In file included from src/processing/RandomPitches.hxx:6:0,
                 from src/processing/RandomPitches.cxx:22:
/usr/include/CLAM/OutPort.hxx: In instantiation of 'bool CLAM::OutPort<Token>::IsConnectableTo(CLAM::InPortBase&) [with Token = std::vector<float, std::allocator<float> >]':
src/processing/RandomPitches.cxx:89:1:   required from here
/usr/include/CLAM/OutPort.hxx:287:45: error: 'SameType' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
In file included from /usr/include/CLAM/XMLIterableAdapter.hxx:32:0,
                 from /usr/include/CLAM/DynamicType.hxx:29,
                 from /usr/include/CLAM/Audio.hxx:34,
                 from /usr/include/CLAM/AudioInPort.hxx:26,
                 from src/processing/RandomPitches.hxx:7,
                 from src/processing/RandomPitches.cxx:22:
/usr/include/CLAM/TypeInfo.hxx:30:7: note: 'bool CLAM::SameType(const std::type_info&, const std::type_info&)' declared here, later in the translation unit
scons: *** [src/processing/generated/RandomPitches.o] Error 1
scons: building terminated because of errors.
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/«PKGBUILDDIR»'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#667137; Package clam-networkeditor. (Thu, 03 May 2012 21:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Thu, 03 May 2012 21:36:13 GMT) Full text and rfc822 format available.

Message #10 received at 667137@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667137@bugs.debian.org
Subject: Re: clam-networkeditor: ftbfs with GCC-4.7
Date: Thu, 03 May 2012 23:12:56 +0200
tags 667137 + patch
thanks

this can be worked around by building with -fpermissive.




Added tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 03 May 2012 21:36:20 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#667137; Package clam-networkeditor. (Sun, 13 May 2012 15:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 13 May 2012 15:00:06 GMT) Full text and rfc822 format available.

Message #19 received at 667137@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 660252@bugs.debian.org, 667137@bugs.debian.org
Subject: Debdiff for NMU fixing these 2 bugs
Date: Sun, 13 May 2012 15:57:15 +0100
[Message part 1 (text/plain, inline)]
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray
[clam.debdiff (text/plain, attachment)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 15:21:21 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 15:21:22 GMT) Full text and rfc822 format available.

Message #24 received at 667137-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 667137-close@bugs.debian.org
Subject: Bug#667137: fixed in clam-networkeditor 1.4.0-3.1
Date: Sun, 13 May 2012 15:19:02 +0000
Source: clam-networkeditor
Source-Version: 1.4.0-3.1

We believe that the bug you reported is fixed in the latest version of
clam-networkeditor, which is due to be installed in the Debian FTP archive:

clam-networkeditor-examples_1.4.0-3.1_all.deb
  to main/c/clam-networkeditor/clam-networkeditor-examples_1.4.0-3.1_all.deb
clam-networkeditor_1.4.0-3.1.debian.tar.gz
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1.debian.tar.gz
clam-networkeditor_1.4.0-3.1.dsc
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1.dsc
clam-networkeditor_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1_amd64.deb
libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667137@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated clam-networkeditor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 15:46:02 +0100
Source: clam-networkeditor
Binary: clam-networkeditor clam-networkeditor-examples libclam-qtmonitors1.4 libclam-qtmonitors-dev
Architecture: source amd64 all
Version: 1.4.0-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 clam-networkeditor - CLAM Network Editor, prototyping tool for CLAM
 clam-networkeditor-examples - CLAM Network Editor, examples
 libclam-qtmonitors-dev - development files for libclam-qtmonitors CLAM extensions
 libclam-qtmonitors1.4 - libclam-qtmonitors CLAM extensions shared library
Closes: 660252 667137
Changes: 
 clam-networkeditor (1.4.0-3.1) unstable; urgency=low
 .
   * NMU
   * Build with qt 4.8. Closes: #660252. Thanks to Andreas Moog for the
     patch.
   * Add -fpermissive to g++ command line to allow building with gcc 4.7
     Closes: #667137
Checksums-Sha1: 
 3df38a55bb6cda0eadc5521e7fef729965f93a4a 2182 clam-networkeditor_1.4.0-3.1.dsc
 fee0375147385922d9e551893a861c77a7484ec9 4310 clam-networkeditor_1.4.0-3.1.debian.tar.gz
 e80c41584138f469abe9a8bad121aeedf857e430 2539432 clam-networkeditor_1.4.0-3.1_amd64.deb
 12528b869040274529c24e5a57aee6a19c797a3f 1105900 clam-networkeditor-examples_1.4.0-3.1_all.deb
 71f99a484d26240bf4bd9ab29975afd7a8ee8e27 2295236 libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 9594608898d5de35d3a6224f451cbe3111c7c0d8 31136 libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
Checksums-Sha256: 
 9aa5055bda88220c2c793db6d343d522b013836c20fe065af4842bc56ee5f973 2182 clam-networkeditor_1.4.0-3.1.dsc
 123b760487261c6c5b364bff80535e48ef8942f14aab3355bd1bfbe6638c1e88 4310 clam-networkeditor_1.4.0-3.1.debian.tar.gz
 7fb4b135c3eeed73d73e047e2ddc4b69af4382369c64c3b425da369518d64122 2539432 clam-networkeditor_1.4.0-3.1_amd64.deb
 7a823401713098aa1b10bc3fb08a2d5c8f2b82a0ee5c491c996e225972c7b450 1105900 clam-networkeditor-examples_1.4.0-3.1_all.deb
 149399255514e018b4947b1d70f15556e3ad636c4f1ada9c32ab0688e776b8ef 2295236 libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 f5d8e8f0f8a04278ab43716663d9e4d9594da77ff976508b0a98de51686b3313 31136 libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
Files: 
 47260276c96cc057d2257366301c0525 2182 sound extra clam-networkeditor_1.4.0-3.1.dsc
 96b1389b43399c809e9ad9c0a220700f 4310 sound extra clam-networkeditor_1.4.0-3.1.debian.tar.gz
 d63d95dc5725f4fec5f41399a396fd9d 2539432 sound extra clam-networkeditor_1.4.0-3.1_amd64.deb
 51aacf9aa95fa4d60c9335c15255135a 1105900 sound extra clam-networkeditor-examples_1.4.0-3.1_all.deb
 46967e7cd490d8fa79d43dcc9f53aa06 2295236 libs extra libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 d0f950bb001a8f465b2e63728de2b1cc 31136 libdevel extra libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPr8wpAAoJEFh5eVc0QmhO8zMQAICxybZDCPl1wMTCpQMh6AG/
LUq23g25SEbuNS9ZWJo6Fx+nlo+aLtdFm2+8pTbjQhpdJQEE+Kif2UbguihaQNjp
C0bKoz36LHVsHKhe/dpCxh/qJ7HW+gzGgbNBuE5fbSQlD57M8/XJ/aJvC9LWZDvh
MA/GrV3gzAdVM/0zUaAbZhaGwZmq1xozaJ0zBcaBD9IT3UN4WC/k8pDmcRUH9Toe
OzKdDYEDERF7XTHv+vP/CWcgpBGeRmpGv3uSRUum07Du/RCDbGrXXORHiZZWKlND
7OOhdddieZIr0I08mSTCWX6U1xc5+ra3w9Npju5YJv0YuDH/QaM4/jA9+cc9rrDG
wlJLGPH1sVrHdreBL+Y2f6LwPZJEjezsXmt/mxZ76+7tUU7Jd+1p/QSVJYADKg3g
dv/+XdGpGvDV200rWIudtf3spkuZg5as1JGyWtEpP0WJMNUF3sXWwWFYGDWiTOCq
wa1idjtO8nasJu1ee/h+TVHKzyOVggyLcikwm44qhiBWF+fCRW0rXNbv1kRbR3s1
0oH63FT92cAJqqYmNei9ylUruoJsLj+OtZJr2j3N5cb6W4ibLv7rwXPxGhOy81Lm
YxVAb8Mr3OKZT+7I+STI+7xqvSxB09Hr3IpkUzQPChHcxlI3mg680HJvfdZnI2T3
Oh6w4xhQAL1JdVdoJheq
=yXje
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:42:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:48:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.